SDL_HINT_VIDEO_MINIMIZE_ON_FOCUS_LOSS(3)

NAME
SDL_HINT_VIDEO_MINIMIZE_ON_FOCUS_LOSS - A variable controlling whether fullscreen windows are minimized when they lose focus.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_VIDEO_MINIMIZE_ON_FOCUS_LOSS "SDL_VIDEO_MINIMIZE_ON_FOCUS_LOSS"

DESCRIPTION
The variable can be set to the following values:

• "0": Fullscreen windows will not be minimized when they lose focus.

• "1": Fullscreen windows are minimized when they lose focus.

• "auto": Fullscreen windows are minimized when they lose focus if they use exclusive fullscreen modes, so the desktop video mode is restored. (default)

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.